This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 437317

Summary: user added via firstboot should then be visible in gdm
Product: [Fedora] Fedora Reporter: Jeremy Katz <katzj>
Component: firstbootAssignee: Chris Lumens <clumens>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: jmccann, rstrode
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-03-19 14:27:46 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235706    

Description Jeremy Katz 2008-03-13 11:13:29 EDT
When installing, one of the steps is adding a user in firstboot.  Not having
this user show up in the list of the greeter seems suboptimal
Comment 1 Ray Strode [halfline] 2008-03-13 12:18:57 EDT
Totally agree.

GDM gets the list of users from ConsoleKit.  See ck-history --frequent.

I guess firstboot should tell ConsoleKit about the new user.

Jon, what's the best way to do that?
Comment 2 Jeremy Katz 2008-03-13 14:34:26 EDT
It's more than just firstboot, though.  It's just as true if I add a user via
system-config-users.  Or useradd in the livecd initscript.

While ck-history --frequent could be nice for the case where I have centralized
account management and not wanting to deal with lag to get account lists via nis
or AD, in many deployments (especially with Fedora) that's just not the case. 
Instead it's a small number of local accounts.  So I really think this is better
fixed in gdm than having to spread changes all over the world.
Comment 3 Ray Strode [halfline] 2008-03-19 14:27:46 EDT
Jon made GDM include local users now.